diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/test/traced/traced-callback-typedef-test-suite.cc ns-3.43/src/test/traced/traced-callback-typedef-test-suite.cc
--- ns-3.42/src/test/traced/traced-callback-typedef-test-suite.cc	2024-05-29 15:29:47.176073800 -0700
+++ ns-3.43/src/test/traced/traced-callback-typedef-test-suite.cc	2024-10-09 16:41:10.096656600 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2015 Lawrence Livermore National Laboratory
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author:  Peter D. Barnes, Jr. <pdbarnes@llnl.gov>
  */
@@ -26,6 +15,7 @@
 #include <set>
 #include <sstream>
 #include <string>
+#include <type_traits>
 // Ipv6L3Protocol, Ipv6PacketProbe
 #include "ns3/lr-wpan-mac.h"      // LrWpanMac
 #include "ns3/lte-module.h"       // PhyReceptionStatParameters,
@@ -282,7 +272,7 @@
     ~Checker() override{};
 
     /// Arguments of the TracedCallback.
-    std::tuple<typename TypeTraits<Ts>::BaseType...> m_items;
+    std::tuple<std::remove_pointer_t<std::remove_cvref_t<Ts>>...> m_items;
 
     /// Number of arguments of the TracedCallback.
     const std::size_t m_nItems = sizeof...(Ts);
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/test/traced/traced-value-callback-typedef-test-suite.cc ns-3.43/src/test/traced/traced-value-callback-typedef-test-suite.cc
--- ns-3.42/src/test/traced/traced-value-callback-typedef-test-suite.cc	2024-05-29 15:29:47.176073800 -0700
+++ ns-3.43/src/test/traced/traced-value-callback-typedef-test-suite.cc	2024-10-09 16:41:10.096656600 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2015 Lawrence Livermore National Laboratory
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author:  Peter D. Barnes, Jr. <pdbarnes@llnl.gov>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/topology-read/examples/topology-example-sim.cc ns-3.43/src/topology-read/examples/topology-example-sim.cc
--- ns-3.42/src/topology-read/examples/topology-example-sim.cc	2024-05-29 15:29:47.180073700 -0700
+++ ns-3.43/src/topology-read/examples/topology-example-sim.cc	2024-10-09 16:41:10.096656600 -0700
@@ -1,16 +1,5 @@
 /*
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Tommaso Pecorella <tommaso.pecorella@unifi.it>
  * Author: Valerio Sartini <valesar@gmail.com>
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/topology-read/helper/topology-reader-helper.cc ns-3.43/src/topology-read/helper/topology-reader-helper.cc
--- ns-3.42/src/topology-read/helper/topology-reader-helper.cc	2024-05-29 15:29:47.180073700 -0700
+++ ns-3.43/src/topology-read/helper/topology-reader-helper.cc	2024-10-09 16:41:10.096656600 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2010 Universita' di Firenze, Italy
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Tommaso Pecorella (tommaso.pecorella@unifi.it)
  * Author: Valerio Sartini (valesar@gmail.com)
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/topology-read/helper/topology-reader-helper.h ns-3.43/src/topology-read/helper/topology-reader-helper.h
--- ns-3.42/src/topology-read/helper/topology-reader-helper.h	2024-05-29 15:29:47.180073700 -0700
+++ ns-3.43/src/topology-read/helper/topology-reader-helper.h	2024-10-09 16:41:10.096656600 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2010 Universita' di Firenze, Italy
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Tommaso Pecorella (tommaso.pecorella@unifi.it)
  * Author: Valerio Sartini (valesar@gmail.com)
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/topology-read/model/inet-topology-reader.cc ns-3.43/src/topology-read/model/inet-topology-reader.cc
--- ns-3.42/src/topology-read/model/inet-topology-reader.cc	2024-05-29 15:29:47.180073700 -0700
+++ ns-3.43/src/topology-read/model/inet-topology-reader.cc	2024-10-09 16:41:10.096656600 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2010 Universita' di Firenze, Italy
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Tommaso Pecorella (tommaso.pecorella@unifi.it)
  * Author: Valerio Sartini (Valesar@gmail.com)
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/topology-read/model/inet-topology-reader.h ns-3.43/src/topology-read/model/inet-topology-reader.h
--- ns-3.42/src/topology-read/model/inet-topology-reader.h	2024-05-29 15:29:47.180073700 -0700
+++ ns-3.43/src/topology-read/model/inet-topology-reader.h	2024-10-09 16:41:10.096656600 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2010 Universita' di Firenze, Italy
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Tommaso Pecorella (tommaso.pecorella@unifi.it)
  * Author: Valerio Sartini (valesar@gmail.com)
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/topology-read/model/orbis-topology-reader.cc ns-3.43/src/topology-read/model/orbis-topology-reader.cc
--- ns-3.42/src/topology-read/model/orbis-topology-reader.cc	2024-05-29 15:29:47.180073700 -0700
+++ ns-3.43/src/topology-read/model/orbis-topology-reader.cc	2024-10-09 16:41:10.096656600 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2010 Universita' di Firenze, Italy
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Tommaso Pecorella (tommaso.pecorella@unifi.it)
  * Author: Valerio Sartini (valesar@gmail.com)
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/topology-read/model/orbis-topology-reader.h ns-3.43/src/topology-read/model/orbis-topology-reader.h
--- ns-3.42/src/topology-read/model/orbis-topology-reader.h	2024-05-29 15:29:47.180073700 -0700
+++ ns-3.43/src/topology-read/model/orbis-topology-reader.h	2024-10-09 16:41:10.096656600 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2010 Universita' di Firenze, Italy
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Tommaso Pecorella (tommaso.pecorella@unifi.it)
  * Author: Valerio Sartini (valesar@gmail.com)
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/topology-read/model/rocketfuel-topology-reader.cc ns-3.43/src/topology-read/model/rocketfuel-topology-reader.cc
--- ns-3.42/src/topology-read/model/rocketfuel-topology-reader.cc	2024-05-29 15:29:47.180073700 -0700
+++ ns-3.43/src/topology-read/model/rocketfuel-topology-reader.cc	2024-10-09 16:41:10.096656600 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2010 Hajime Tazaki
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Hajime Tazaki (tazaki@sfc.wide.ad.jp)
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/topology-read/model/rocketfuel-topology-reader.h ns-3.43/src/topology-read/model/rocketfuel-topology-reader.h
--- ns-3.42/src/topology-read/model/rocketfuel-topology-reader.h	2024-05-29 15:29:47.180073700 -0700
+++ ns-3.43/src/topology-read/model/rocketfuel-topology-reader.h	2024-10-09 16:41:10.096656600 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2010 Hajime Tazaki
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Hajime Tazaki (tazaki@sfc.wide.ad.jp)
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/topology-read/model/topology-reader.cc ns-3.43/src/topology-read/model/topology-reader.cc
--- ns-3.42/src/topology-read/model/topology-reader.cc	2024-05-29 15:29:47.180073700 -0700
+++ ns-3.43/src/topology-read/model/topology-reader.cc	2024-10-09 16:41:10.096656600 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2010 Universita' di Firenze, Italy
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Tommaso Pecorella (tommaso.pecorella@unifi.it)
  * Author: Valerio Sartini (valesar@gmail.com)
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/topology-read/model/topology-reader.h ns-3.43/src/topology-read/model/topology-reader.h
--- ns-3.42/src/topology-read/model/topology-reader.h	2024-05-29 15:29:47.180073700 -0700
+++ ns-3.43/src/topology-read/model/topology-reader.h	2024-10-09 16:41:10.096656600 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2010 Universita' di Firenze, Italy
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Tommaso Pecorella (tommaso.pecorella@unifi.it)
  * Author: Valerio Sartini (valesar@gmail.com)
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/topology-read/test/rocketfuel-topology-reader-test-suite.cc ns-3.43/src/topology-read/test/rocketfuel-topology-reader-test-suite.cc
--- ns-3.42/src/topology-read/test/rocketfuel-topology-reader-test-suite.cc	2024-05-29 15:29:47.180073700 -0700
+++ ns-3.43/src/topology-read/test/rocketfuel-topology-reader-test-suite.cc	2024-10-09 16:41:10.096656600 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2010 Hajime Tazaki
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Hajime Tazaki (tazaki@sfc.wide.ad.jp)
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/traffic-control/examples/adaptive-red-tests.cc ns-3.43/src/traffic-control/examples/adaptive-red-tests.cc
--- ns-3.42/src/traffic-control/examples/adaptive-red-tests.cc	2024-05-29 15:29:47.180073700 -0700
+++ ns-3.43/src/traffic-control/examples/adaptive-red-tests.cc	2024-10-09 16:41:10.100656700 -0700
@@ -2,18 +2,7 @@
 /*
  * Copyright (c) 2015 NITK Surathkal
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Mohit P. Tahiliani <tahiliani@nitk.edu.in>
  *
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/traffic-control/examples/codel-vs-pfifo-asymmetric.cc ns-3.43/src/traffic-control/examples/codel-vs-pfifo-asymmetric.cc
--- ns-3.42/src/traffic-control/examples/codel-vs-pfifo-asymmetric.cc	2024-05-29 15:29:47.180073700 -0700
+++ ns-3.43/src/traffic-control/examples/codel-vs-pfifo-asymmetric.cc	2024-10-09 16:41:10.100656700 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2014 ResiliNets, ITTC, University of Kansas
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Truc Anh N Nguyen <trucanh524@gmail.com>
  * Modified by:   Pasquale Imputato <p.imputato@gmail.com>
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/traffic-control/examples/codel-vs-pfifo-basic-test.cc ns-3.43/src/traffic-control/examples/codel-vs-pfifo-basic-test.cc
--- ns-3.42/src/traffic-control/examples/codel-vs-pfifo-basic-test.cc	2024-05-29 15:29:47.180073700 -0700
+++ ns-3.43/src/traffic-control/examples/codel-vs-pfifo-basic-test.cc	2024-10-09 16:41:10.100656700 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2014 ResiliNets, ITTC, University of Kansas
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Truc Anh N Nguyen <trucanh524@gmail.com>
  * Modified by:   Pasquale Imputato <p.imputato@gmail.com>
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/traffic-control/examples/fqcodel-l4s-example.cc ns-3.43/src/traffic-control/examples/fqcodel-l4s-example.cc
--- ns-3.42/src/traffic-control/examples/fqcodel-l4s-example.cc	2024-05-29 15:29:47.180073700 -0700
+++ ns-3.43/src/traffic-control/examples/fqcodel-l4s-example.cc	2024-10-09 16:41:10.100656700 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2020 NITK Surathkal
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Authors: Bhaskar Kataria <bhaskar.k7920@gmail.com>
  *          Tom Henderson <tomhend@u.washington.edu>
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/traffic-control/examples/pfifo-vs-red.cc ns-3.43/src/traffic-control/examples/pfifo-vs-red.cc
--- ns-3.42/src/traffic-control/examples/pfifo-vs-red.cc	2024-05-29 15:29:47.180073700 -0700
+++ ns-3.43/src/traffic-control/examples/pfifo-vs-red.cc	2024-10-09 16:41:10.100656700 -0700
@@ -1,16 +1,5 @@
 /*
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: John Abraham <john.abraham@gatech.edu>
  * Modified by:   Pasquale Imputato <p.imputato@gmail.com>
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/traffic-control/examples/pie-example.cc ns-3.43/src/traffic-control/examples/pie-example.cc
--- ns-3.42/src/traffic-control/examples/pie-example.cc	2024-05-29 15:29:47.180073700 -0700
+++ ns-3.43/src/traffic-control/examples/pie-example.cc	2024-10-09 16:41:10.100656700 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2016 NITK Surathkal
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Authors: Shravya Ks <shravya.ks0@gmail.com>
  *          Smriti Murali <m.smriti.95@gmail.com>
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/traffic-control/examples/red-tests.cc ns-3.43/src/traffic-control/examples/red-tests.cc
--- ns-3.42/src/traffic-control/examples/red-tests.cc	2024-05-29 15:29:47.180073700 -0700
+++ ns-3.43/src/traffic-control/examples/red-tests.cc	2024-10-09 16:41:10.100656700 -0700
@@ -1,16 +1,5 @@
 /*
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Authors: Marcos Talau <talau@users.sourceforge.net>
  *          Duy Nguyen <duy@soe.ucsc.edu>
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/traffic-control/examples/red-vs-ared.cc ns-3.43/src/traffic-control/examples/red-vs-ared.cc
--- ns-3.42/src/traffic-control/examples/red-vs-ared.cc	2024-05-29 15:29:47.180073700 -0700
+++ ns-3.43/src/traffic-control/examples/red-vs-ared.cc	2024-10-09 16:41:10.100656700 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2015 NITK Surathkal
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Mohit P. Tahiliani <tahiliani@nitk.edu.in>
  *
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/traffic-control/helper/queue-disc-container.cc ns-3.43/src/traffic-control/helper/queue-disc-container.cc
--- ns-3.42/src/traffic-control/helper/queue-disc-container.cc	2024-05-29 15:29:47.180073700 -0700
+++ ns-3.43/src/traffic-control/helper/queue-disc-container.cc	2024-10-09 16:41:10.100656700 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2015 Universita' degli Studi di Napoli Federico II
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Stefano Avallone <stavallo@unina.it>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/traffic-control/helper/queue-disc-container.h ns-3.43/src/traffic-control/helper/queue-disc-container.h
--- ns-3.42/src/traffic-control/helper/queue-disc-container.h	2024-05-29 15:29:47.180073700 -0700
+++ ns-3.43/src/traffic-control/helper/queue-disc-container.h	2024-10-09 16:41:10.100656700 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2015 Universita' degli Studi di Napoli Federico II
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Stefano Avallone <stavallo@unina.it>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/traffic-control/helper/traffic-control-helper.cc ns-3.43/src/traffic-control/helper/traffic-control-helper.cc
--- ns-3.42/src/traffic-control/helper/traffic-control-helper.cc	2024-05-29 15:29:47.180073700 -0700
+++ ns-3.43/src/traffic-control/helper/traffic-control-helper.cc	2024-10-09 16:41:10.100656700 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2015 Universita' degli Studi di Napoli Federico II
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Stefano Avallone <stavallo@unina.it>
  */
